/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.xwiki.annotation.internal.content;

import org.xwiki.annotation.content.AlteredContent;
import org.xwiki.annotation.content.ContentAlterer;

/**
 * This abstract class is used in order to factor piped alterations logic.
 *
 * @version $Id: 7ffa0c37f5fa4a9f7f0b843481dabc7cf0fc0838 $
 * @since 2.3M1
 */
public abstract class AbstractContentAlterer implements ContentAlterer
{
    @Override
    public AlteredContent alter(final AlteredContent alteredContent)
    {
        final AlteredContent ac = alter(alteredContent.getContent().toString());
        return new ComposedAlteredContent(alteredContent, ac);
    }
}
