/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.bridge.event;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * Validate {@link WikiCopiedEventTest}.
 * 
 * @version $Id: a24da2f435a8e0c09b3aa84ff6577b2365544ad5 $
 */
class WikiCopiedEventTest
{
    @Test
    void match()
    {
        assertTrue(new WikiCopiedEvent().matches(new WikiCopiedEvent()));
        assertTrue(new WikiCopiedEvent().matches(new WikiCopiedEvent("source", "target")));
        assertTrue(new WikiCopiedEvent().matches(new WikiCopiedEvent("source", null)));
        assertTrue(new WikiCopiedEvent().matches(new WikiCopiedEvent(null, "target")));
        assertTrue(new WikiCopiedEvent("source", "target").matches(new WikiCopiedEvent("source", "target")));
        assertTrue(new WikiCopiedEvent(null, "target").matches(new WikiCopiedEvent("source", "target")));
        assertTrue(new WikiCopiedEvent("source", null).matches(new WikiCopiedEvent("source", "target")));

        assertFalse(new WikiCopiedEvent(null, "target2").matches(new WikiCopiedEvent("source", "target")));
        assertFalse(new WikiCopiedEvent("source2", null).matches(new WikiCopiedEvent("source", "target")));        
    }
}
