/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro.display;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.rendering.internal.macro.include.IncludeMacroRefactoring;

/**
 * Implementation of reference refactoring operation for display macro.
 * Note that this refactoring component entirely relies on the implementation of {@link IncludeMacroRefactoring}.
 *
 * @version $Id: 34cf05a8fe4b39dd3a563c05686d226c39d958e9 $
 * @since 13.4RC1
 */
@Component
@Singleton
@Named("display")
public class DisplayMacroRefactoring extends IncludeMacroRefactoring
{
}
