/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.eventstream;

/**
 * Fake descriptor used to test the {@link AbstractRecordableEventDescriptor}.
 *
 * @version $Id: 66b9ebbbce40ff88b8d61ee88242f55aea8d392f $
 * @since 10.6RC1
 * @since 10.5
 * @since 9.11.6
 */
public class FakeRecordableEventDescriptor extends AbstractRecordableEventDescriptor
{
    public FakeRecordableEventDescriptor()
    {
        super("descriptionKey", "applicationKey");
    }

    @Override
    public String getEventType()
    {
        return "fake";
    }

    @Override
    public String getApplicationIcon()
    {
        return "applicationIcon :)";
    }
}
