/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.index;

import org.xwiki.component.annotation.Role;
import org.xwiki.model.reference.DocumentReference;

/**
 * Provide the operation to consume a task.
 *
 * @version $Id: 2864a129f7e05bd58fd71e7c5bf3461bc155f6f4 $
 * @since 14.1RC1
 */
@Role
public interface TaskConsumer
{
    /**
     * Consume a task.
     *
     * @param documentReference of the document to analyze
     * @param version the version of the document to analyze
     * @throws IndexException in case of error during the execution of the task
     */
    void consume(DocumentReference documentReference, String version) throws IndexException;
}
