/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.lesscss.compiler;

/**
 * Exception related to the LESS preprocessor.
 *
 * @since 6.4M2
 * @version $Id: 55bb13ae818d57d67fd12d3a7d6f42b1a72d24c5 $
 */
public class LESSCompilerException extends Exception
{
    /**
     * Construct a new LESSCompilerException object.
     *
     * @param  message the detail message (which is saved for later retrieval by the {@link #getMessage()} method).
     */
    public LESSCompilerException(String message)
    {
        super(message);
    }

    /**
     * Construct a new LESSCompilerException object.
     *
     * @param  message the detail message (which is saved for later retrieval by the {@link #getMessage()} method).
     * @param  source the cause (which is saved for later retrieval by the {@link #getCause()} method). A {@code null}
     *            value is permitted, and indicates that the cause is nonexistent or unknown
     */
    public LESSCompilerException(String message, Exception source)
    {
        super(message, source);
    }
}
