/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.like.internal;

import javax.inject.Named;

import org.junit.jupiter.api.Test;
import org.xwiki.configuration.ConfigurationSource;
import org.xwiki.test.junit5.mockito.ComponentTest;
import org.xwiki.test.junit5.mockito.InjectMockComponents;
import org.xwiki.test.junit5.mockito.MockComponent;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.mockito.Mockito.when;

/**
 * Tests for {@link DefaultLikeConfiguration}.
 *
 * @version $Id: 050334e21c0b706d6bf0445661030d2db443b8ff $
 * @since 12.7RC1
 */
@ComponentTest
public class DefaultLikeConfigurationTest
{
    @InjectMockComponents
    private DefaultLikeConfiguration defaultLikeConfiguration;

    @MockComponent
    @Named("like")
    private ConfigurationSource configurationSource;

    @Test
    void alwaysDisplayButton()
    {
        when(this.configurationSource.getProperty("alwaysDisplayButton", false)).thenReturn(false);
        assertFalse(this.defaultLikeConfiguration.alwaysDisplayButton());

        when(this.configurationSource.getProperty("alwaysDisplayButton", false)).thenReturn(true);
        assertTrue(this.defaultLikeConfiguration.alwaysDisplayButton());
    }
}
