/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.like.events;

import org.apache.commons.lang.builder.HashCodeBuilder;
import org.xwiki.eventstream.RecordableEvent;

/**
 * Default event for Like notifications.
 *
 * @version $Id: 3650c9f31afc9aef5bfdcd1f957b17ce533a88c5 $
 * @since 12.7RC1
 */
public class LikeRecordableEvent implements RecordableEvent
{
    @Override
    public boolean matches(Object otherEvent)
    {
        return otherEvent instanceof LikeRecordableEvent;
    }

    @Override
    public boolean equals(Object o)
    {
        if (o == null) {
            return false;
        }
        return o instanceof LikeRecordableEvent;
    }

    @Override
    public int hashCode()
    {
        return new HashCodeBuilder(15, 79).toHashCode();
    }
}
