/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.mail;

import org.xwiki.component.annotation.Role;

/**
 * Expose general mail configuration, such as whether email address obfuscation is turned on or not. Note that these
 * are configurations not related to the mail sender which can be found in the {@code MailSenderConfiguration}.
 * interface.
 *
 * @version $Id: bf21b12212cf202f41fcf334bd7913ad30f75185 $
 * @since 12.4RC1
 */
@Role
public interface GeneralMailConfiguration
{
    /**
     * @return true when email addresses must be obfuscated and false otherwise. Defaults to false.
     */
    boolean shouldObfuscate();
}
