/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.messagestream;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.messagestream.internal.AbstractMessageDescriptor;

/**
 * Descriptor for the direct messages.
 *
 * @version $Id: 973fdf7eb33457c299e93c5f3723f0ad7367da15 $
 * @since 10.5RC1
 * @since 9.11.6
 */
@Component
@Named(DirectMessageDescriptor.EVENT_TYPE)
@Singleton
public class DirectMessageDescriptor extends AbstractMessageDescriptor
{
    /**
     * Event type described by this descriptor.
     */
    public static final String EVENT_TYPE = "directMessage";

    /**
     * Construct a DirectMessageDescriptor.
     */
    public DirectMessageDescriptor()
    {
        super("messagestream.descriptors.directMessage.description");
    }

    @Override
    public String getEventType()
    {
        return EVENT_TYPE;
    }
}
