/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.notifications.filters;

/**
 * Determine the filter type of an {@link NotificationFilter}.
 * This type can be either inclusive or exclusive.
 *
 * @version $Id: 3522fb0cc7cbdc00f1c5e83ceec470e543dd6a02 $
 * @since 9.7RC1
 */
public enum NotificationFilterType
{
    /**
     * This is the default type, the filter associated with this type will be inclusive.
     */
    INCLUSIVE,

    /**
     * The filter associated with this scope type be exclusive.
     */
    EXCLUSIVE
}
