/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.notifications.preferences.internal.event;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * Validate NotificationPreference*Event.
 * 
 * @version $Id: 8739056c81ff31648a2ac81ea4d25c79ced407b8 $
 */
public class NotificationPreferenceEventTest
{
    @Test
    public void match()
    {
        NotificationPreferenceAddedEvent event1 = new NotificationPreferenceAddedEvent();
        NotificationPreferenceAddedEvent event2 = new NotificationPreferenceAddedEvent();

        assertTrue(event1.matches(event2));
        assertFalse(event1.matches("notevent"));
    }
}
