/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.event;

import org.xwiki.observation.event.AbstractFilterableEvent;
import org.xwiki.observation.event.EndEvent;

/**
 * Event to notify of the finished import of a XAR package.
 * <p>
 * The event also send the following parameters:
 * </p>
 * <ul>
 * <li>source: null (TODO: this event should take the name of the imported xar as a parameter, and listeners should be
 * able to match on it. For the moment, I cannot figure out how to get the name of the imported xar from the Package
 * plugin)</li>
 * <li>data: the current {com.xpn.xwiki.XWikiContext} instance</li>
 * </ul>
 *
 * @version $Id: ab94444d6aa4a24905d01d06665e5b98d026b38a $
 */
public class XARImportedEvent extends AbstractFilterableEvent implements EndEvent
{
    /**
     * The version identifier for this Serializable class. Increment only if the <i>serialized</i> form of the class
     * changes.
     */
    private static final long serialVersionUID = 1L;
}
