/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.filter.output;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.filter.instance.internal.InstanceUtils;
import org.xwiki.filter.instance.internal.output.AbstractBeanOutputInstanceFilterStreamFactory;

/**
 * @version $Id: b9dde1fd6f2ec0412ac617765b0bec3f76170c13 $
 * @since 6.2M1
 */
@Component
@Named(UserInstanceOutputFilterStreamFactory.ROLEHINT)
@Singleton
public class UserInstanceOutputFilterStreamFactory
    extends AbstractBeanOutputInstanceFilterStreamFactory<UserInstanceOutputProperties, UserInstanceOutputFilter>
{
    /**
     * The id of this {@link org.xwiki.filter.instance.output.OutputInstanceFilterStreamFactory}.
     */
    public static final String ID = "users";

    /**
     * The role hint of this {@link org.xwiki.filter.output.OutputFilterStreamFactory}.
     */
    public static final String ROLEHINT = InstanceUtils.ROLEHINT + '+' + ID;

    /**
     * The default constructor.
     */
    public UserInstanceOutputFilterStreamFactory()
    {
        super(ID);

        setName("XWiki users instance output stream");
        setDescription("Specialized version of the XWiki instance output stream for users.");
    }
}
