/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.objects.classes;

import org.xwiki.component.annotation.Role;

import com.xpn.xwiki.internal.objects.meta.PropertyMetaClassInterface;
import com.xpn.xwiki.objects.classes.PropertyClassInterface;

/**
 * Provides new instances of a specific type of XClass property and also give access to the meta class of an XClass
 * property (its definition).
 *
 * @version $Id: 2a63ee955abccc8ee53bb76cc64ea5246bd373b3 $
 * @since 4.3M2
 */
@Role
public interface PropertyClassProvider
{
    /**
     * @return a new XClass property instance
     */
    PropertyClassInterface getInstance();

    /**
     * @return the meta class of this type of XClass property
     */
    PropertyMetaClassInterface getDefinition();
}
