/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.objects.meta;

import com.xpn.xwiki.objects.PropertyInterface;
import com.xpn.xwiki.objects.classes.ClassInterface;

/**
 * Represents a meta class that defines a type of property that can be used in a XClass. An XClass property has meta
 * properties like "relational storage", "display type", "separator", "multiple selection", etc. which are specified by
 * its meta class.
 *
 * @version $Id: 54df7102927f40ea27654e3b8ac94c61ca6cb887 $
 * @since 4.3M2
 */
public interface PropertyMetaClassInterface extends ClassInterface, PropertyInterface
{
}
