/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.stats.impl.xwiki;

import java.util.List;

/**
 * Object containing statistics information to store.
 *
 * @version $Id: 1c3a3f71b48e12fe4d1a323ad8067c2412dc26e4 $
 * @since 1.4M2
 */
public interface XWikiStatsStoreItem
{
    /**
     * @return identifier for this type of store item. This value is used to merge same statistics in one database
     *         query.
     */
    String getId();

    /**
     * Store provided statistics into the database.
     *
     * @param statsList the list of statistics item to store.
     */
    void store(List<XWikiStatsStoreItem> statsList);
}
