/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.web;

import com.xpn.xwiki.util.Util;

public class RollbackForm extends XWikiForm
{
    private String rev;

    private String language;

    private String confirm;

    @Override
    public void readRequest()
    {
        XWikiRequest request = getRequest();
        setRev(request.getParameter("rev"));
        setLanguage(request.getParameter("language"));
        setConfirm(request.getParameter("confirm"));
    }

    public String getRev()
    {
        return this.rev;
    }

    public void setRev(String rev)
    {
        this.rev = rev;
    }

    public String getLanguage()
    {
        return this.language;
    }

    public void setLanguage(String language)
    {
        this.language = Util.normalizeLanguage(language);
    }

    public String getConfirm()
    {
        return this.confirm;
    }

    public void setConfirm(String confirm)
    {
        this.confirm = confirm;
    }
}
