/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.internal.extension;

import org.xwiki.component.annotation.Role;
import org.xwiki.model.reference.DocumentReference;

/**
 * Provides operation to access to information relative to XARs provided by extensions.
 *
 * @version $Id: 185c05412e4fb852a31f3e188efb3171810a1884 $
 * @since 15.0RC1
 * @since 14.4.8
 * @since 14.10.4
 */
@Role
public interface XARExtensionIndex
{
    /**
     * @param documentReference a document reference
     * @return {@code true} if a given document reference is provided by an extension
     */
    boolean isExtensionDocument(DocumentReference documentReference);
}
