/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.objects;

import org.junit.Assert;

import org.dom4j.Element;
import org.junit.Test;

import com.xpn.xwiki.objects.classes.BaseClass;
import com.xpn.xwiki.test.AbstractBridgedComponentTestCase;

/**
 * Unit tests for the {@link BaseCollection} class.
 * 
 * @version $Id: 628b942e9aca2c796a2a0d74a62fae7b53586a21 $
 */
public class BaseCollectionTest extends AbstractBridgedComponentTestCase
{
    @Test
    public void testGetXClassWithNullReference() throws Exception
    {
        BaseCollection collection = new BaseCollection()
        {
            @Override
            public Element toXML(BaseClass bclass)
            {
                return null;
            }
        };

        Assert.assertNull(collection.getXClass(getContext()));
    }
}
