/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro.code.source;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.model.EntityType;
import org.xwiki.rendering.macro.source.MacroContentSourceReference;

/**
 * Provide content coming from XWiki model entities.
 * 
 * @version $Id: 99909b48ae9f20905e429596151aa8ac13594056 $
 * @since 15.0RC1
 * @since 14.10.2
 */
@Component
@Singleton
@Named(MacroContentSourceReference.TYPE_ENTITY)
public class EntityCodeMacroSourceFactory extends AbstractEntityCodeMacroSourceFactory
{
    @Override
    protected EntityType getEntityType()
    {
        // The type is part of the reference
        return null;
    }
}
