/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rest.internal.resources.attachments;

import javax.inject.Named;

import org.xwiki.component.annotation.Component;
import org.xwiki.rest.XWikiRestException;
import org.xwiki.rest.internal.resources.BaseAttachmentsResource;
import org.xwiki.rest.model.jaxb.Attachments;
import org.xwiki.rest.resources.attachments.AttachmentsAtPageVersionResource;

import com.xpn.xwiki.XWikiException;
import com.xpn.xwiki.api.Document;

/**
 * @version $Id: 3a067de33dd2a3f65d2e8261e4c3019cdef1630f $
 */
@Component
@Named("org.xwiki.rest.internal.resources.attachments.AttachmentsAtPageVersionResourceImpl")
public class AttachmentsAtPageVersionResourceImpl extends BaseAttachmentsResource implements
        AttachmentsAtPageVersionResource
{
    @Override
    public Attachments getAttachmentsAtPageVersion(String wikiName, String spaceName, String pageName, String version,
            Integer start, Integer number, Boolean withPrettyNames) throws XWikiRestException
    {
        try {
            DocumentInfo documentInfo = getDocumentInfo(wikiName, spaceName, pageName, null, version, true, false);
            Document doc = documentInfo.getDocument();

            return getAttachmentsForDocument(doc, start, number, withPrettyNames);
        } catch (XWikiException e) {
            throw new XWikiRestException(e);
        }
    }
}
