/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.search.solr;

import org.apache.solr.client.solrj.SolrClient;
import org.xwiki.stability.Unstable;

/**
 * The main entry point to manipulate a Solr core in XWiki.
 * 
 * @version $Id: 8f6ad59108da3511984c61cb73d64c56706f9a00 $
 * @since 16.2.0RC1
 */
@Unstable
public interface XWikiSolrCore
{
    /**
     * @return the name of the core without the prefix/suffix specific to the setup
     */
    String getName();

    /**
     * @return the real name of the core (with the prefix/suffix specific to the setup)
     */
    String getSolrName();

    /**
     * @return the Solr client which can be used to directly communicate with the Solr native API
     */
    SolrClient getClient();
}
