/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.search.solr.internal.api;

import java.util.Locale;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

/**
 * Tests for {@link FieldUtils}.
 *
 * @version $Id: 34c95bd03f004439cc20b196a756d82de1aa2c8b $
 * @since 15.0
 */
class FieldUtilsTest
{
    @Test
    void getFieldName()
    {
        assertEquals("title_", FieldUtils.getFieldName(FieldUtils.TITLE, null));
        assertEquals("title__", FieldUtils.getFieldName(FieldUtils.TITLE, Locale.ROOT));
        assertEquals("title_fr", FieldUtils.getFieldName(FieldUtils.TITLE, Locale.FRENCH));
    }
}