/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.platform.security.requiredrights.internal.configuration;

import org.xwiki.component.annotation.Role;

/**
 * Required rights configuration properties.
 *
 * @version $Id: b36f88adf523be1e03ce576648ca242f77fb8c6f $
 * @since 15.9RC1
 */
@Role
public interface RequiredRightsConfiguration
{
    /**
     * The type of protection to apply.
     *
     * @version $Id: b36f88adf523be1e03ce576648ca242f77fb8c6f $
     */
    enum RequiredRightDocumentProtection
    {
        /**
         * The required rights are not activated.
         */
        NONE,
        /**
         * The required rights are activated and raise a warning message when trying to edit a document.
         */
        WARNING
    }

    /**
     * @return the protection to apply
     */
    RequiredRightDocumentProtection getDocumentProtection();
}
