/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.url.internal.container;

import java.net.URL;

import org.junit.jupiter.api.Test;
import org.xwiki.test.junit5.mockito.ComponentTest;
import org.xwiki.test.junit5.mockito.InjectMockComponents;
import org.xwiki.url.ExtendedURL;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Unit tests for {@link URLURLNormalizer}.
 *
 * @version $Id: 94e2e1026639786f5f38b84122b2e71867912f12 $
 */
@ComponentTest
public class URLURLNormalizerTest
{
    @InjectMockComponents
    private URLURLNormalizer normalizer;

    @Test
    void normalize() throws Exception
    {
        ExtendedURL extendedURL = new ExtendedURL(new URL("https://localhost:8080/context/path"), null);
        assertEquals("https://localhost:8080/context/path", normalizer.normalize(extendedURL).toExternalForm());
    }
}
