/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.user;

/**
 * Generic exception for the user api module.
 *
 * @version $Id: 0ec6ece77703ad270c837660a41355cf5bba3a06 $
 * @since 14.6RC1
 * @since 14.4.3
 * @since 13.10.8
 */
public class UserException extends Exception
{
    private static final long serialVersionUID = 1L;

    /**
     * Constructs a new user exception with the specified detail message and cause.
     *
     * @param message the detail message (which is saved for later retrieval by the {@link #getMessage()} method)
     * @param cause the cause (which is saved for later retrieval by the {@link #getCause()} method). (A
     *     {@code null} value is permitted, and indicates that the cause is nonexistent or unknown.)
     */
    public UserException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
