/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.user.internal.document;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.model.reference.EntityReferenceSerializer;

/**
 * Converts a {@link DocumentUserReference} into a String representation with the wiki component omitted if it matches
 * the wiki extracted from the passed parameters.
 * 
 * @version $Id: 29001c16b0ad21d647b038a6139e097d2b4f500a $
 * @since 14.1RC1
 */
@Component
@Named("compactwiki/document")
@Singleton
public class CompactWikiDocumentStringUserReferenceSerializer extends DocumentStringUserReferenceSerializer
{
    @Inject
    @Named("compactwiki")
    private EntityReferenceSerializer<String> compactWikiEntityReferenceSerializer;

    @Override
    protected EntityReferenceSerializer<String> getEntityReferenceSerializer()
    {
        return this.compactWikiEntityReferenceSerializer;
    }
}
