/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.whatsnew;

import org.xwiki.stability.Unstable;

/**
 * Exception raised when an error occurs in the What's New extension.
 *
 * @version $Id: 492e308f5be6e034adbc43e5b719766d2c79d517 $
 * @since 15.1RC1
 */
@Unstable
public class NewsException extends Exception
{
    /**
     * Serialization identifier.
     */
    private static final long serialVersionUID = 1L;

    /**
     * @param message Message.
     */
    public NewsException(String message)
    {
        super(message);
    }

    /**
     * @param message Message.
     * @param cause Original cause.
     */
    public NewsException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
